repos:
-   repo: https://github.com/ambv/black
    rev: 23.1.0
    hooks:
    -   id: black
        language_version: python3
-   repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v2.3.0
    hooks:
    -   id: check-merge-conflict
    -   id: flake8
-   repo: https://github.com/codespell-project/codespell
    rev: v2.2.2
    hooks:
    -   id: codespell
        args:
        - -L
        - nd
        - --skip
        - '*.html'
        - --ignore-words=.dictionary.txt
-   repo: https://github.com/timothycrosley/isort
    rev: 5.12.0
    hooks:
    -   id: isort
        args:
        - -sp=setup.cfg
-   repo: local
    hooks:
    -   id: flynt
        name: flynt
        entry: flynt
        args:
        - --fail-on-change
        types:
        - python
        language: python
        additional_dependencies:
        - flynt
